Package tigase.xml

# Enum Class SimpleParser.State

java.lang.Object
java.lang.Enum<SimpleParser.State>
tigase.xml.SimpleParser.State

All Implemented Interfaces:
  `Serializable`, `Comparable<SimpleParser.State>`, `Constable`

Enclosing class:
  SimpleParser

protected static enum SimpleParser.State extends Enum<SimpleParser.State>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ATTRIB_NAME`
  `ATTRIB_VALUE_D`
  `ATTRIB_VALUE_S`
  `CLOSE_ELEMENT`
  `ELEMENT_CDATA`
  `ELEMENT_NAME`
  `END_ELEMENT_NAME`
  `END_OF_ATTR_NAME`
  `ENTITY`
  `ERROR`
  `OPEN_BRACKET`
  `OTHER_XML`
  `START`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SimpleParser.State`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SimpleParser.State[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### START

    public static final SimpleParser.State START

  - ### OPEN_BRACKET

    public static final SimpleParser.State OPEN_BRACKET

  - ### ELEMENT_NAME

    public static final SimpleParser.State ELEMENT_NAME

  - ### END_ELEMENT_NAME

    public static final SimpleParser.State END_ELEMENT_NAME

  - ### ATTRIB_NAME

    public static final SimpleParser.State ATTRIB_NAME

  - ### END_OF_ATTR_NAME

    public static final SimpleParser.State END_OF_ATTR_NAME

  - ### ATTRIB_VALUE_S

    public static final SimpleParser.State ATTRIB_VALUE_S

  - ### ATTRIB_VALUE_D

    public static final SimpleParser.State ATTRIB_VALUE_D

  - ### ELEMENT_CDATA

    public static final SimpleParser.State ELEMENT_CDATA

  - ### OTHER_XML

    public static final SimpleParser.State OTHER_XML

  - ### ERROR

    public static final SimpleParser.State ERROR

  - ### CLOSE_ELEMENT

    public static final SimpleParser.State CLOSE_ELEMENT

  - ### ENTITY

    public static final SimpleParser.State ENTITY

- ## Method Details

  - ### values

    public static SimpleParser.State[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SimpleParser.State valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null